C --- SAMPLE PROBLEM USING BASIC FORTRAN                                     1
      DIMENSION ANGLE(10), CHANGE(9)                                         2
   10 FORMAT ( 9X 9HITERATION 5X 5HANGLE 9X 6HCHANGE )                       3
   11 FORMAT (13X I1, F15.5, F14.5 )                                         4
   12 FORMAT (9X 38HTHE ITERATION PROCEDURE HAS CONVERGED. )                 5
C --- SET UP VALUES TO BE USED IN PROBLEM                                    6
      AREA = 1.5                                                             7
      RADIUS = 5.0                                                           8
      SMALL = 1.0E-4                                                         9
      G = ( 2.0*AREA )/( RADIUS**2)                                         10
C --- BEGIN ITERATION LOOP - MAXIMUM OF 9 ITERATIONS                        11
      ANGLE(1) = 1.0                                                        12
      DO 100 I=1,9                                                          13
C --- COMPUTE CHANGE IN APPROXIMATE SOLUTION                                14
      CHANGE(I) = (ANGLE(I) - SIN(ANGLE(I)) - G)/( 1.0 - COS(ANGLE(I)) )    15
C --- TEST FOR CONVERGENCE OF APPROXIMATE SOLUTION                          16
      IF ( ABS(CHANGE(I)) .LT. SMALL ) GO TO 110                            17
C --- APPROXIMATE HAS NOT CONVERGED - COMPUTE NEXT APPROXIMATION            18
  100 ANGLE(I + 1) = ANGLE(I) - CHANGE(I)                                   19
C --- END OF LOOP - ITERATION PROCEDURE HAS NOT CONVERGED                   20
      STOP                                                                  21
C --- THE ITERATION PROCEDURE HAS CONVERGED                                 22
  110 WRITE ( 2,10 )                                                        23
      WRITE ( 2,11 ) ( K, ANGLE(K), CHANGE(K), K = 1,I )                    24
      WRITE ( 2,12 )                                                        25
      STOP                                                                  26
      END                                                                   27
